%define base_name	kde-styles
%define theme_name	baghira
%define name		%base_name-%theme_name

Name: %name
Version: 0.5
Release: alt1

Group: Graphical desktop/KDE
Summary: Baghira style for KDE
License: GPL
Url: http://kde-look.org/content/show.php?content=8692

Source: %theme_name-%version.tar.bz2

# Automatically added by buildreq on Thu May 13 2004 (-bi)
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

%description
KDE style, remotely resembling the infamous Aqua design, based upon
mosfet-liquid0.9.6pre4, last version released by mosfet.

%prep
%setup -q -n %theme_name-%version

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:
subst "s/\libkdecorations.la/libkdecorations.so/g" deco/Makefile.in

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%configure \
    --disable-debug \
    --disable-rpath \
    --enable-final
%make
	    
%install
%makeinstall

mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Configuration/Other" \
bab/bab.desktop \
%buildroot/%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog README TODO
%_libdir/kde3/*%{theme_name}*
%_libdir/kde3/plugins/styles/*
%_datadir/apps/kstyle/themes/*.themerc
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%_datadir/apps/kwin/*.desktop
%_iconsdir/crystalsvg/*/*/*.png
%_bindir/*
%_menudir/*

%changelog
* Sat Aug 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.5-alt1
- 

* Wed Jul 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.4c-alt1
- 0.4c 

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.4-alt1
- 0.4 

* Sat Jun 19 2004 Mikhail Yakshin <greycat@altlinux.ru> 0.3s-alt1
- 0.3s

* Thu May 13 2004 Mikhail Yakshin <greycat@altlinux.org> 0.3p-alt1
- initial build
